Compare commits

..

19 Commits
c10s ... c10

Author SHA1 Message Date
AlmaLinux RelEng Bot
57a05b040b import UBI dotnet9.0-9.0.119-1.el10_2 2026-07-20 01:32:57 -04:00
AlmaLinux RelEng Bot
6e381264a5 import UBI dotnet9.0-9.0.118-1.el10_2 2026-06-10 17:50:55 -04:00
AlmaLinux RelEng Bot
44200736a0 import UBI dotnet9.0-9.0.117-1.el10_2 2026-05-28 13:40:12 -04:00
AlmaLinux RelEng Bot
de08c3fc4a import UBI dotnet9.0-9.0.116-2.el10_2 2026-05-19 20:30:30 -04:00
AlmaLinux RelEng Bot
acacdee325 import UBI dotnet9.0-9.0.116-1.el10_1 2026-04-16 13:12:04 -04:00
AlmaLinux RelEng Bot
1c3bc4250d import UBI dotnet9.0-9.0.115-1.el10_1 2026-03-12 07:44:28 -04:00
e14c68ed11 import UBI dotnet9.0-9.0.114-1.el10_1 2026-02-11 05:39:20 +00:00
add856dbe9 import UBI dotnet9.0-9.0.113-1.el10_1 2026-01-15 14:15:46 +00:00
3eadbe1c6a import UBI dotnet9.0-9.0.112-1.el10_1 2025-11-17 23:34:00 +00:00
b2e2bac5e4 import CS dotnet9.0-9.0.111-2.el9 2025-11-14 12:54:30 +00:00
f8d24d3f95 import UBI dotnet9.0-9.0.111-2.el10_1 2025-11-11 22:13:29 +00:00
bc7b82b70a import UBI dotnet9.0-9.0.111-1.el10_0 2025-10-15 20:34:40 +00:00
a5e19f74de import UBI dotnet9.0-9.0.110-1.el10_0 2025-09-10 00:16:15 +00:00
49a978e134 import UBI dotnet9.0-9.0.109-1.el10_0 2025-08-11 17:50:08 +00:00
d2c909f7ae import UBI dotnet9.0-9.0.108-1.el10_0 2025-07-10 06:21:10 +00:00
c1fd6fbf8f import UBI dotnet9.0-9.0.107-1.el10_0 2025-06-11 11:09:01 +00:00
d8be368e59 import UBI dotnet9.0-9.0.106-1.el10_0 2025-05-14 18:17:15 +00:00
dea5c44d83 import UBI dotnet9.0-9.0.105-2.el10_0 2025-05-14 18:11:10 +00:00
48be3f5d83 import UBI dotnet9.0-9.0.106-1.el10_0 2025-05-14 18:09:34 +00:00
11 changed files with 31 additions and 472 deletions

View File

@ -1 +0,0 @@
1

55
.gitignore vendored
View File

@ -1,54 +1 @@
/dotnet-prebuilts-9.0.100-preview.7.24380.1-ppc64le.tar.gz dotnet-9.0.119.tar.gz
/dotnet-prebuilts-9.0.100-preview.7.24380.1-s390x.tar.gz
/dotnet-sdk-9.0.100-preview.7.24380.2-linux-arm64.tar.gz
/dotnet-v9.0.0-preview.7.24405.7-x64-bootstrap.tar.gz
/dotnet-9.0.0-preview.7.24405.7.tar.gz
/dotnet-9.0.0-preview.7.24405.7.tar.gz.sig
/dotnet-9.0.0-rc.1.24431.7.tar.gz
/dotnet-9.0.0-rc.1.24431.7.tar.gz.sig
/dotnet-9.0.0-rc.2.24473.5.tar.gz
/dotnet-9.0.0-rc.2.24473.5.tar.gz.sig
/dotnet-v9.0.0-rc.2.24473.5-x64-bootstrap.tar.gz
/dotnet-sdk-9.0.100-rc.1.24452.12-linux-arm64.tar.gz
/dotnet-prebuilts-9.0.100-rc.1.24452.1-ppc64le.tar.gz
/dotnet-prebuilts-9.0.100-rc.1.24452.1-s390x.tar.gz
/dotnet-9.0.1.tar.gz
/dotnet-9.0.1.tar.gz.sig
/dotnet-v9.0.1-x64-bootstrap.tar.gz
/dotnet-sdk-9.0.101-linux-arm64.tar.gz
/dotnet-prebuilts-9.0.101-ppc64le.tar.gz
/dotnet-prebuilts-9.0.101-s390x.tar.gz
/dotnet-9.0.2.tar.gz
/dotnet-9.0.2.tar.gz.sig
/dotnet-9.0.3.tar.gz
/dotnet-9.0.3.tar.gz.sig
/dotnet-9.0.4.tar.gz
/dotnet-9.0.4.tar.gz.sig
/dotnet-9.0.5.tar.gz
/dotnet-9.0.5.tar.gz.sig
/dotnet-9.0.6.tar.gz
/dotnet-9.0.6.tar.gz.sig
/dotnet-9.0.7.tar.gz
/dotnet-9.0.7.tar.gz.sig
/dotnet-9.0.109.tar.gz
/dotnet-9.0.109.tar.gz.sig
/dotnet-9.0.110.tar.gz
/dotnet-9.0.110.tar.gz.sig
/dotnet-9.0.111.tar.gz
/dotnet-9.0.111.tar.gz.sig
/dotnet-9.0.112.tar.gz
/dotnet-9.0.112.tar.gz.sig
/dotnet-9.0.113.tar.gz
/dotnet-9.0.113.tar.gz.sig
/dotnet-9.0.114.tar.gz
/dotnet-9.0.114.tar.gz.sig
/dotnet-9.0.115.tar.gz
/dotnet-9.0.115.tar.gz.sig
/dotnet-9.0.116.tar.gz
/dotnet-9.0.116.tar.gz.sig
/dotnet-9.0.117.tar.gz
/dotnet-9.0.117.tar.gz.sig
/dotnet-9.0.118.tar.gz
/dotnet-9.0.118.tar.gz.sig
/dotnet-9.0.119.tar.gz
/dotnet-9.0.119.tar.gz.sig

View File

@ -1,74 +0,0 @@
# dotnet9.0
This is the .NET 9.0 package for RHEL.
Please report any issues [using Jira](https://issues.redhat.com/).
# Specification
This package follows [package naming and contents suggested by
upstream](https://docs.microsoft.com/en-us/dotnet/core/build/distribution-packaging),
with one exception. It installs dotnet to `/usr/lib64/dotnet` (aka
`%{_libdir}`).
# Contributing
1. Fork the repo.
2. Checkout the forked repository.
- `git clone git@gitlab.com:$USER/centos_rpms_dotnet9.0.git dotnet9.0`
- `cd dotnet9.0`
3. Make your changes. Don't forget to add a changelog.
If you are updating to a new upstream release: Get the new upstream source
tarball and the detached signature. Update the versions in the spec file.
Add a changelog. This is generally automated by the following.
- `./update-release <sdk-version> <runtime-version>`
If this fails because of compiler errors, you might have to figure
out a fix, then add the patch in `build-dotnet-tarball` script
rather than the spec file.
4. Do local builds.
- `centpkg local`
5. Fix any errors that come up and rebuild until it works locally. Any
patches that are needed at this point should be added to the spec file.
6. Do builds in koji.
- `centpkg scratch-build --srpm`
7. If this is a new release, upload the source archive and detached signature to
the look-aside cache.
- `centpkg new-sources dotnet-source-tarball.tar.gz dotnet-source-tarball.tar.gz.sig`
8. Commit the changes to the git repo.
- `git add` any new patches
- `git remove` any now-unnecessary patches
- `git commit -a`
- `git push`
9. Create a pull request with your changes.
10. Once the tests in the pull-request pass, and reviewers are happy, merge the
pull request and do a real build.
- `centpkg build`
# Testing
This package uses CI tests as defined in `tests/ci.yml`. You can run them using
[tmt](https://tmt.readthedocs.io/en/stable/overview.html). Creating a
pull-request or running an official build will fire off tests and flag any
issues. We have enabled gating (via `gating.yaml`) on the tests. That prevents
a build that fails any test from being released until the failures are waived.
The tests themselves are contained in this external repository:
https://github.com/redhat-developer/dotnet-regular-tests/

View File

@ -1,171 +0,0 @@
#!/bin/bash
# Usage:
# build-dotnet-bootstrap-tarball <tag-or-commit-from-dotnet>
#
# Creates a source archive suitable for bootstrapping from a tag (or commit) at
# https://github.com/dotnet/dotnet
#
# Clone dotnet/dotnet, check out the tag, and build a source-tarball.
# Can also use a full git commit identifier instead of tag (not an
# abbreviated 8 character commit identifier though).
set -euo pipefail
IFS=$'\n\t'
function print_usage {
echo "Usage:"
echo "$0 <tag-from-dotnet>"
echo
echo "Creates a $arch bootstrap source archive from a tag at https://github.com/dotnet/dotnet"
}
function clean_dotnet_cache {
rm -rf ~/.aspnet ~/.dotnet/ ~/.nuget/ ~/.local/share/NuGet ~/.templateengine
rm -rf /tmp/NuGet /tmp/NuGetScratch /tmp/.NETCore* /tmp/.NETStandard* /tmp/.dotnet /tmp/dotnet.* /tmp/clr-debug-pipe* /tmp/Razor-Server /tmp/CoreFxPipe* /tmp/VBCSCompiler /tmp/.NETFramework*
rm -rf ~/.npm/
}
function check_bootstrap_environment {
if rpm -qa | grep dotnet ; then
echo "error: dotnet is installed. Not a good idea for bootstrapping."
exit 1
fi
if [ -d /usr/lib/dotnet ] || [ -d /usr/lib64/dotnet ] || [ -d /usr/share/dotnet ] ; then
echo "error: one of /usr/lib/dotnet /usr/lib64/dotnet or /usr/share/dotnet/ exists. Not a good idea for bootstrapping."
exit 1
fi
if command -v dotnet ; then
echo "error: dotnet is in $PATH. Not a good idea for bootstrapping."
exit 1
fi
}
function runtime_id {
source /etc/os-release
case "${ID}" in
# Remove the RHEL minor version
rhel) rid_version=${VERSION_ID%.*} ;;
*) rid_version=${VERSION_ID} ;;
esac
echo "${ID}.${rid_version}-${arch}"
}
build_bootstrap=false
declare -A archmap
archmap=(
["aarch64"]="arm64"
["amd64"]="x64"
["armv8l"]="arm"
["i386"]="x86"
["i686"]="x86"
["ppc64le"]="ppc64le"
["s390x"]="s390x"
["x86_64"]="x64"
)
arch=${archmap["$(uname -m)"]}
positional_args=()
while [[ "$#" -gt 0 ]]; do
arg="${1}"
case "${arg}" in
-h|--help)
print_usage
exit 0
;;
*)
positional_args+=("$1")
shift
;;
esac
done
check_bootstrap_environment
tag=${positional_args[0]:-}
if [[ -z ${tag} ]]; then
echo "error: missing tag to build"
exit 1
fi
set -x
dir_name="dotnet-${tag}"
unmodified_tarball_name="${dir_name}-original"
tarball_name="${dir_name}"
unmodified_tarball_name="${unmodified_tarball_name}-${arch}-bootstrap"
tarball_name="${tarball_name}-${arch}-bootstrap"
tarball_suffix=.tar.gz
if [ -f "${tarball_name}${tarball_suffix}" ]; then
echo "error: ${tarball_name}${tarball_suffix} already exists"
exit 1
fi
if [ ! -f "${unmodified_tarball_name}.tar.gz" ]; then
if [[ $tag =~ ^[0-9a-fA-F]+$ ]]; then
if [ ! -f $tag.zip ]; then
wget https://github.com/dotnet/dotnet/archive/$tag.zip
fi
dir=$(mktemp -d -p $(pwd))
pushd $dir
unzip -q ../$tag.zip
if [[ $(ls -1q | wc -l) -gt 3 ]]; then
echo "error: tarball doesn't have a single main directory"
exit 1
fi
tar czf ../${unmodified_tarball_name}.tar.gz dotnet-$tag
popd
else
wget https://github.com/dotnet/dotnet/archive/refs/tags/${tag}.tar.gz
mv "${tag}.tar.gz" "${unmodified_tarball_name}.tar.gz"
fi
fi
tar tf "${unmodified_tarball_name}".tar.gz > .tarball_file_list
extracted_tarball_root=$(head -1 .tarball_file_list | cut -d/ -f 1)
if [[ "$extracted_tarball_root" == "."* ]]; then
echo "error: can't find main directory in the dotnet tarball"
exit 1
fi
if [[ $(grep -cv "^${extracted_tarball_root}/" .tarball_file_list) -gt 0 ]]; then
echo "error: tarball doesn't have a single main directory"
exit 1
fi
rm .tarball_file_list
rm -rf "${tarball_name}"
rm -rf "${extracted_tarball_root}"
tar xf "${unmodified_tarball_name}.tar.gz"
mv "${extracted_tarball_root}" "${tarball_name}"
pushd "${tarball_name}"
./prep-source-build.sh --bootstrap
# Remove files with funny licenses and crypto implementations and
# other not-very-useful artifacts. We MUST NOT ship any files that
# have unapproved licenses and unexpected cryptographic
# implementations.
#
# We use rm -r (no -f) to make sure the operation fails if the files
# are not at the expected locations. If the files are not at the
# expected location, we need to find the new location of the files and
# delete them, or verify that upstream has already removed the files.
# rm -r $FILE_TO_REMOVE
popd
echo "Bootstrap .NET SDK: $(jq .tools.dotnet "${tarball_name}"/global.json)"
time tar -czf "${tarball_name}${tarball_suffix}" "${tarball_name}"

View File

@ -1,63 +0,0 @@
#!/bin/bash
# Usage:
# build-prebuilt-archive architecture vmr-directory
#
# Creates an archive containing necessary bootstrapping binaries for ppc64le or
# s390x architectures from a VMR build.
#
# You need to have cloned the VMR (https://github.com/dotnet/dotnet) and
# cross-compiled it for the target architecture already.
set -euo pipefail
IFS=$'\n\t'
set -x
function print_usage {
echo "Usage:"
echo "$0 <architecture> <vmr directory>"
echo
echo "Creates a ppc64le or s390x bootstrap archive from a VMR build."
echo
echo "You need to have cloned the VMR (https://github.com/dotnet/dotnet) and"
echo "cross-compiled it for the target architecture already."
}
positional_args=()
while [[ "$#" -gt 0 ]]; do
arg="${1}"
case "${arg}" in
-h|--help)
print_usage
exit 0
;;
*)
positional_args+=("$1")
shift
;;
esac
done
arch=${positional_args[0]} # Name of the architecture. Eg, s390x or ppc64le
dir=${positional_args[1]} # Checkout of the VMR with the cross-build for the target architecture
dir=$(readlink -f "$dir")
sdk_tarball=$(readlink -f $(find "$dir" -iname 'dotnet-sdk*'"$arch"'*tar.gz' | head -1))
# SDK is at VMR/artifacts/assets/Release/dotnet-sdk-9.0.100-preview.3.24165.1-linux-$arch.tar.gz. Extract the SDK version from the name.
sdk_version=$(echo "$(basename "${sdk_tarball}")" | sed -E -e 's/dotnet-sdk-//' -e "s/-linux-$arch.tar.gz//")
echo $sdk_version
archive_name=dotnet-prebuilts-${sdk_version}-${arch}
mkdir -p $archive_name
pushd $archive_name
cp -av $sdk_tarball .
# Get all architecture-specific nuget packages
find $dir/artifacts/packages/Release/Shipping/ -iname "*linux-$arch*nupkg" -exec cp -avL {} . \;
popd
tar cvzf $archive_name.tar.gz $archive_name

17
dotnet-9.0.119.tar.gz.sig Normal file
View File

@ -0,0 +1,17 @@
-----BEGIN PGP SIGNATURE-----
Version: BSN Pgp v1.0.0.0
iQIcBAABCAAGBQJqRTDYAAoJEP2/U8JNtIcu3oQQANIjxpAwRmp4pSSP5e/yawxh
cpwdU6X/Lgy62Cn0+bfY1HhV2oiKkg+46ST+6742E7W1ioktcrYG88d8vkzDm9W9
g/Z0JKcuqLFfDGQO7+QgIQAx64hTEeebw3wDGR+JjoR9BZlPAzilArZLXuBTqF5d
+/NWUy2TuFnUy/MVWiqByQo1gETtCtM3c2BEp61fU0R1LhS0t00JNsfQ4jOtqBfv
GnRLyz0npOeluvS0i/HrcmEixiXxhxVT+XkKkqWzcaTb9IYNYy91s87/GMnZbfNx
Sb3L2a5OfM0/2jsQ+rbdNnMr/dBCv/D0l9rve9ZwYI9zVdjhwW2HMXFmaYc+Tp1K
CICpureajPqCnrnH+ykPpiCRhQJMdLkPv/IudcHLc1AAoJCxRfV9s38G4FKtsIZc
kpcpNUyO8cym7rXbTDm6lJvwfy09Tf7/GYKFDyeki1YPYma46fzGVPH+W9SOrd2e
XXGDW3iHulrWJt0vOGGuxRMxkObrEy4gmIXvS6jwO5VcvZrvMSXvs1oLpObmEKXh
myt71egvHiiQ3tgRPmSf0s4Q5Za1V0WSLCaxUuShzm+YIRcG69qXkL/8dA002IJY
amgpFWweV4prwLl/4EIy+4thjQMylJkruYfam1g4pKiGndzuMqZAhAoDYFhnUDFJ
ti5TzAbAzZ/JvCmBAzXP
=mxJL
-----END PGP SIGNATURE-----

View File

@ -74,7 +74,7 @@
Name: dotnet%{dotnetver} Name: dotnet%{dotnetver}
Version: %{sdk_rpm_version} Version: %{sdk_rpm_version}
Release: 2%{?dist} Release: 1%{?dist}
Summary: .NET Runtime and SDK Summary: .NET Runtime and SDK
License: 0BSD AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception) AND APSL-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSD-4-Clause AND BSL-1.0 AND bzip2-1.0.6 AND CC0-1.0 AND CC-BY-3.0 AND CC-BY-4.0 AND CC-PDDC AND CNRI-Python AND EPL-1.0 AND GPL-2.0-only AND (GPL-2.0-only WITH GCC-exception-2.0) AND GPL-2.0-or-later AND GPL-3.0-only AND ICU AND ISC AND LGPL-2.1-only AND LGPL-2.1-or-later AND LicenseRef-Fedora-Public-Domain AND LicenseRef-ISO-8879 AND MIT AND MIT-Wu AND MS-PL AND MS-RL AND NCSA AND OFL-1.1 AND OpenSSL AND Unicode-DFS-2015 AND Unicode-DFS-2016 AND W3C-19980720 AND X11 AND Zlib License: 0BSD AND Apache-2.0 AND (Apache-2.0 WITH LLVM-exception) AND APSL-2.0 AND BSD-2-Clause AND BSD-3-Clause AND BSD-4-Clause AND BSL-1.0 AND bzip2-1.0.6 AND CC0-1.0 AND CC-BY-3.0 AND CC-BY-4.0 AND CC-PDDC AND CNRI-Python AND EPL-1.0 AND GPL-2.0-only AND (GPL-2.0-only WITH GCC-exception-2.0) AND GPL-2.0-or-later AND GPL-3.0-only AND ICU AND ISC AND LGPL-2.1-only AND LGPL-2.1-or-later AND LicenseRef-Fedora-Public-Domain AND LicenseRef-ISO-8879 AND MIT AND MIT-Wu AND MS-PL AND MS-RL AND NCSA AND OFL-1.1 AND OpenSSL AND Unicode-DFS-2015 AND Unicode-DFS-2016 AND W3C-19980720 AND X11 AND Zlib
@ -166,7 +166,6 @@ BuildRequires: llvm-libunwind-devel
BuildRequires: lttng-ust-devel BuildRequires: lttng-ust-devel
BuildRequires: make BuildRequires: make
BuildRequires: openssl-devel BuildRequires: openssl-devel
BuildRequires: procps-ng
BuildRequires: python3 BuildRequires: python3
%if ! %{use_bundled_rapidjson} %if ! %{use_bundled_rapidjson}
BuildRequires: rapidjson-devel BuildRequires: rapidjson-devel
@ -576,8 +575,6 @@ lscpu
%build %build
cat /proc/cpuinfo
cat /proc/meminfo
cat /etc/os-release cat /etc/os-release
%if %{without bootstrap} %if %{without bootstrap}
@ -762,25 +759,21 @@ find -depth -name 'artifacts' -type d -print -exec rm -rf {} \;
/p:UseSystemLibs=${system_libs} \ /p:UseSystemLibs=${system_libs} \
/p:TargetRid=%{runtime_id} \ /p:TargetRid=%{runtime_id} \
/p:OfficialBuilder="$vendor" \ /p:OfficialBuilder="$vendor" \
/p:MinimalConsoleLogOutput=false \
/p:ContinueOnPrebuiltBaselineError=true \ /p:ContinueOnPrebuiltBaselineError=true \
#/p:MinimalConsoleLogOutput=false \ /v:n \
#/v:n \ /p:LogVerbosity=n
#/p:LogVerbosity=n
EOF EOF
chmod +x dotnet-rpm-build.sh chmod +x dotnet-rpm-build.sh
VERBOSE=1 retry_until_success $max_attempts \ VERBOSE=1 retry_until_success $max_attempts \
output_timeout \ output_timeout \
./dotnet-rpm-build.sh || { cat /proc/cpuinfo; cat /proc/meminfo; env; exit 1; } ./dotnet-rpm-build.sh
sed -e 's|[@]LIBDIR[@]|%{_libdir}|g' %{SOURCE21} > dotnet.sh sed -e 's|[@]LIBDIR[@]|%{_libdir}|g' %{SOURCE21} > dotnet.sh
env
ps aux
%install %install
@ -977,21 +970,21 @@ export COMPlus_LTTng=0
%changelog %changelog
* Thu Jul 23 2026 Satish Mane <satmane@redhat.com> - 9.0.119-2 * Wed Jul 08 2026 Satish Mane <satmane@redhat.com> - 9.0.119-1
- Update to .NET SDK 9.0.119 and Runtime 9.0.18 - Update to .NET SDK 9.0.119 and Runtime 9.0.18
- Resolves: RHEL-192471 - Resolves: RHEL-192473
* Thu Jul 02 2026 Tom Deseyn <tdeseyn@redhat.com> - 9.0.118-3 * Thu Jul 02 2026 Tom Deseyn <tdeseyn@redhat.com> - 9.0.118-2
- Reduce time to detect hanging builds - Reduce time to detect hanging builds
- Resolves: RHEL-191642 - Resolves: RHEL-191644
* Wed Jun 10 2026 Tom Deseyn <tdeseyn@redhat.com> - 9.0.118-2 * Wed Jun 03 2026 Tom Deseyn <tdeseyn@redhat.com> - 9.0.118-1
- Update to .NET SDK 9.0.118 and Runtime 9.0.17 - Update to .NET SDK 9.0.118 and Runtime 9.0.17
- Resolves: RHEL-181552 - Resolves: RHEL-181554
* Thu May 28 2026 Omair Majid <omajid@redhat.com> - 9.0.117-2 * Wed May 06 2026 Omair Majid <omajid@redhat.com> - 9.0.117-1
- Update to .NET SDK 9.0.117 and Runtime 9.0.16 - Update to .NET SDK 9.0.117 and Runtime 9.0.16
- Resolves: RHEL-173917 - Resolves: RHEL-173919
* Fri Apr 17 2026 Omair Majid <omajid@redhat.com> - 9.0.116-2 * Fri Apr 17 2026 Omair Majid <omajid@redhat.com> - 9.0.116-2
- Update to .NET SDK 9.0.116 and Runtime 9.0.15 - Update to .NET SDK 9.0.116 and Runtime 9.0.15

View File

@ -1,22 +0,0 @@
--- !Policy
product_versions:
- fedora-*
decision_context: bodhi_update_push_testing
subject_type: koji_build
rules:
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.tier0.functional}
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.rpminspect.static-analysis}
--- !Policy
product_versions:
- fedora-*
decision_context: bodhi_update_push_stable
subject_type: koji_build
rules:
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.tier0.functional}
- !PassingTestCaseRule {test_case_name: fedora-ci.koji-build.rpminspect.static-analysis}
--- !Policy
product_versions:
- rhel-*
decision_context: osci_compose_gate
rules:
- !PassingTestCaseRule {test_case_name: osci.brew-build.tier0.functional}

View File

@ -1,20 +0,0 @@
---
inspections:
# We patch upstream a lot, no need to reject patches
patches: off
badfuncs:
allowed:
# The Mono runtime (used on s390x, for example), uses inet_addr for
# debugging (such as sending the control flow graph to a remote process).
# See runtime/src/mono/mono/mini/cfgdump.c. This isn't part of any
# standard networking facility; networking APIs are implemented/used in
# libSystem*so.
/usr/lib64/dotnet/shared/Microsoft.NETCore.App/*/libcoreclr.so:
- inet_addr
/usr/lib64/dotnet/packs/Microsoft.NETCore.App.Runtime.*/*/runtimes/*/native/libcoreclr.so:
- inet_addr
runpath:
# Upstream explicitly sets $ORIGIN/netcoredeps as an RPATH
# See https://github.com/dotnet/core/blob/main/Documentation/self-contained-linux-apps.md
allowed_origin_paths:
- /netcoredeps

View File

@ -1,2 +1 @@
SHA512 (dotnet-9.0.119.tar.gz) = bdb5e0bd73b7edf0cc7bf72d9ef07a31691c442bf436e1e25c7d3ac5ee02768bf405a28c004df62db1bb3f0553cb47d6dbd894106667186c7187a13138e23a09 SHA512 (dotnet-9.0.119.tar.gz) = bdb5e0bd73b7edf0cc7bf72d9ef07a31691c442bf436e1e25c7d3ac5ee02768bf405a28c004df62db1bb3f0553cb47d6dbd894106667186c7187a13138e23a09
SHA512 (dotnet-9.0.119.tar.gz.sig) = c7529e07348ec4506bf930c70dede49ac16ef6cfe5d0d66a767c26275387de98c153f1adcbc8d921fccad8786cee42f8004d67dbc914a26e1dbd83df6a76f386

View File

@ -1,46 +0,0 @@
summary: Basic smoke test
provision:
hardware:
disk:
- size: ">= 20 GiB"
memory: ">= 5120 MiB"
prepare:
how: install
package:
- aspnetcore-runtime-9.0
- babeltrace
- bash-completion
- bc
- binutils
- dotnet-runtime-9.0
- dotnet-sdk-9.0
- expect
- file
- findutils
- gcc-c++
- git
- jq
- libstdc++-devel
- lldb
- npm
- postgresql-odbc
- postgresql-server
- procps-ng
- python3
- strace
- util-linux
- wget
- which
- zlib-devel
execute:
script:
- dotnet --info
- wget --no-verbose https://github.com/redhat-developer/dotnet-bunny/releases/latest/download/turkey.tar.gz
- tar xf turkey.tar.gz
- dotnet turkey/Turkey.dll --version
- git clone "https://github.com/redhat-developer/dotnet-regular-tests.git"
- dotnet turkey/Turkey.dll -l="$TMT_TEST_DATA" dotnet-regular-tests --timeout=1200
- dnf remove -yq 'dotnet*'
- set -x; if command -v dotnet ; then exit 1; fi
- set -x; if [ -d /usr/lib64/dotnet ]; then exit 1; fi
- set -x; if man dotnet; then exit 1; fi